allphone_search_s Struct Reference

Implementation of allphone search structure. More...

`#include <allphone_search.h>`

## Data Fields

ps_search_t | base
hmm_context_t * | hmmctx
| HMM context.
ngram_model_t * | lm
| Ngram model set.
int32 | ci_only
| Use context-independent phones for decoding.
phmm_t ** | ci_phmm
| PHMM lists (for each CI phone)
int32 * | ci2lmwid
| Mapping of CI phones to LM word IDs.
int32 | beam
int32 | pbeam
| Effective beams after applying beam_factor.
int32 | lw
int32 | inspen
| Language weights.
frame_idx_t | frame
| Current frame.
float32 | ascale
| Acoustic score scale for posterior probabilities.
int32 | n_tot_frame
| Total number of frames processed.
int32 | n_hmm_eval
| Total HMMs evaluated this utt.
int32 | n_sen_eval
| Total senones evaluated this utt.
blkarray_list_t * | history
| List of history nodes allocated in each frame.
glist_t | segments
ptmr_t | perf
| Performance counter.

## Detailed Description

Implementation of allphone search structure.

Definition at line 110 of file allphone_search.h.

## Field Documentation

## ascale

float32 allphone_search_s::ascale

Acoustic score scale for posterior probabilities.

Definition at line 123 of file allphone_search.h.

## base

ps_search_t allphone_search_s::base

Definition at line 111 of file allphone_search.h.

## beam

int32 allphone_search_s::beam

Definition at line 119 of file allphone_search.h.

## ci2lmwid

int32* allphone_search_s::ci2lmwid

Mapping of CI phones to LM word IDs.

Definition at line 117 of file allphone_search.h.

## ci_only

int32 allphone_search_s::ci_only

Use context-independent phones for decoding.

Definition at line 115 of file allphone_search.h.

## ci_phmm

phmm_t** allphone_search_s::ci_phmm

PHMM lists (for each CI phone)

Definition at line 116 of file allphone_search.h.

## frame

frame_idx_t allphone_search_s::frame

Current frame.

Definition at line 122 of file allphone_search.h.

## history

blkarray_list_t* allphone_search_s::history

List of history nodes allocated in each frame.

Definition at line 130 of file allphone_search.h.

## hmmctx

hmm_context_t* allphone_search_s::hmmctx

HMM context.

Definition at line 113 of file allphone_search.h.

## inspen

int32 allphone_search_s::inspen

Language weights.

Definition at line 120 of file allphone_search.h.

## lm

ngram_model_t* allphone_search_s::lm

Ngram model set.

Definition at line 114 of file allphone_search.h.

## lw

int32 allphone_search_s::lw

Definition at line 120 of file allphone_search.h.

## n_hmm_eval

int32 allphone_search_s::n_hmm_eval

Total HMMs evaluated this utt.

Definition at line 126 of file allphone_search.h.

## n_sen_eval

int32 allphone_search_s::n_sen_eval

Total senones evaluated this utt.

Definition at line 127 of file allphone_search.h.

## n_tot_frame

int32 allphone_search_s::n_tot_frame

Total number of frames processed.

Definition at line 125 of file allphone_search.h.

## pbeam

int32 allphone_search_s::pbeam

Effective beams after applying beam_factor.

Definition at line 119 of file allphone_search.h.

## perf

ptmr_t allphone_search_s::perf

Performance counter.

Definition at line 134 of file allphone_search.h.

## segments

glist_t allphone_search_s::segments

Definition at line 132 of file allphone_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/allphone_search.h